Skip to navigation

Get Prices (batch)

Calculate batch pricing for products for a specific channel, currency, and customer group.

The rounded prices in this endpoint’s response will align with the currency’s decimal precision as defined in the currency settings page.

Limits

  • Limit of 50 concurrent requests.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects an object.
channel_idintegerRequired
The channel ID that pricing evaluates within. The default BigCommerce storefront is channel 1.
currency_codestringRequired
The currency code of prices this request returns.
itemslist of objectsRequired
The items for which to fetch prices.
country_codestringOptional

An ISO 3166-1 alpha-2 shopper’s country code representing a country or special geographic area.

customer_group_idintegerOptional
The customer group ID that's relevant for any customer group pricing, tax values, etc.
customer_idintegerOptional
The ID of the customer for whom to fetch prices.

Response

OK
datalist of objectsOptional
metaobjectOptional
Response metadata.